package com.khmer9.sbcmain.adapter

import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.gdtlib.lib.adapter.BaseListAdapter
import com.khmer9.sbcmain.R
import com.khmer9.sbcmain.screen.report.resultStatement.ReportResultViewHolder

class ResultStatementAdapter : BaseListAdapter() {
    var printButtonListener: ((String, String, String, String, String, String) -> Unit)? = null

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): RecyclerView.ViewHolder {
        return ReportResultViewHolder(
            LayoutInflater.from(parent.context).inflate(
                R.layout.layout_result_statement,
                parent,
                false
            ), printButtonListener
        )
    }
}